[Unit]
Description=Pub/Sub server for Lemonldap::NG websso system
After=network.target
Documentation=https://lemonldap-ng.org/documentation/latest

[Service]
Type=forking
EnvironmentFile=/etc/default/lemonldap-ng-pubsub-server
PIDFile=/run/llng-pubsub-server/llng-pubsub-server.pid
ExecStart=/usr/sbin/llng-pubsub-server --daemon --pid-file /run/llng-pubsub-server/llng-pubsub-server.pid --user nobody --group nogroup
ExecStop=-/sbin/start-stop-daemon --quiet --stop --retry QUIT/5 --pidfile ${PID}
KillMode=mixed
PrivateTmp=yes
Restart=always
RestartSec=1

[Install]
Alias=llng-pubsub-server.service
WantedBy=multi-user.target

